### Method

# Handy Avatar draw_to_pixbuf_finish

since: 1.2

#### Declaration [src]

    GdkPixbuf*
    hdy_avatar_draw_to_pixbuf_finish (
      HdyAvatar* self,
      GAsyncResult* async_result
    )

#### Description [src]

Finishes an asynchronous draw of an avatar to a pixbuf.

Available since: 1.2

#### Parameters

`async_result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

#### Return value

Type: `GdkPixbuf`

The resulting pixbuf.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.